Subject: [edu-team] xml2rfc v3 tutorial for IETF 104

From: Alice Russo <[email-masked]>
Date: Wed, 9 Jan 2019 16:32:05 -0800

Hi all,

We've discussed having a Sunday tutorial at IETF 104 about using xml2rfc v3, the tool for creating the future publication formats of RFCs. Stepping back a bit -- when having a tutorial about tool(s) for creating Internet-Drafts, do you have any preference about its scope? That is, do you think it should be about:

a) xml2rfc v3 (include quick-start guide; highlight the new vocab & features).  perhaps similar to "Intro to xml2rfc" [1] last given in 2014 - but updated from v2 to v3. 

or

b) "Tools for Creating I-Ds" revamped to focus on 2 options: kramdown and xml2rfc v3.
perhaps similar to Dan York's "Writing I-Ds in Markdown" [2] 
and the "Tools for Creating I-Ds" tutorial [3] - last given in 2015, when it was focused on xml2rfc and NroffEdit.

(Of course, any tutorial could mention the many tools [4] available.)

[1] https://www.rfc-editor.org/materials/intro_xml2rfc_90.pdf
[2] https://github.com/danyork/writing-internet-drafts-in-markdown/blob/master/writing-internet-drafts-in-markdown.pdf
[3] https://www.rfc-editor.org/materials/tools_ids_rfcs_94.pdf
[4] https://www.rfc-editor.org/pubprocess/tools/

Thanks,
Alice